Package com.zfabrik.impl.svncr

## Class SvnWorkResource

- java.lang.Object
- - com.zfabrik.impl.svncr.SvnWorkResource

- All Implemented Interfaces:
    `com.zfabrik.work.IWorkResource`

      public class SvnWorkResource
      extends java.lang.Object
      implements com.zfabrik.work.IWorkResource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnWorkResource​(com.zfabrik.svnaccess.ISvnRepository svnRepo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterCompletion​(boolean rollback)` | Commits have completed.
    `void` | `beforeCompletion​(boolean rollback)` | The work unit is in the process of completion.
    `void` | `begin()` | Start.
    `void` | `close()` | Close.
    `void` | `commit()` | Commit work
    `java.lang.String` | `getBaseUrl()` |
    `long` | `getRepoRevision()` |
    `java.lang.String` | `getRepositoryUuid()` |
    `com.zfabrik.svnaccess.ISvnRepository` | `getSVNRepository()` |
    `java.lang.String` | `getSvnRootUrl()` |
    `void` | `rollback()` | Rollback work
    `void` | `svnCat​(java.lang.String repoPath, long targetRevision, com.zfabrik.svnaccess.IStreamHandler iStreamHandler)` |
    `void` | `svnExport​(java.lang.String repoPath, long targetRevision, java.io.File destFolder)` |
    `com.zfabrik.svnaccess.SvnInfo` | `svnInfo​(java.lang.String repoPath, long targetRevision)` |
    `int` | `svnList​(java.lang.String repoPath, long targetRevision, com.zfabrik.svnaccess.IDirEntryHandler iDirEntryHandler)` |
    `void` | `svnLog​(java.lang.String repoPath, long revStart, long revEnd, com.zfabrik.svnaccess.ISvnLogEntryHandler iSvnLogEntryHandler)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.zfabrik.work.IWorkResource

      `begin`

- - ### Constructor Detail

    - #### SvnWorkResource

          public SvnWorkResource​(com.zfabrik.svnaccess.ISvnRepository svnRepo)

  - ### Method Detail

    - #### begin

          public void begin()

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      Start. The resource has been registered with the work unit.
      Specified by:
        `begin` in interface `com.zfabrik.work.IWorkResource`

    - #### beforeCompletion

          public void beforeCompletion​(boolean rollback)

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      The work unit is in the process of completion. No commit or rollback has been called yet.
      Specified by:
        `beforeCompletion` in interface `com.zfabrik.work.IWorkResource`

    - #### afterCompletion

          public void afterCompletion​(boolean rollback)

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      Commits have completed. Everything has been successful so far.
      Specified by:
        `afterCompletion` in interface `com.zfabrik.work.IWorkResource`

    - #### close

          public void close()

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      Close. Called in any case
      Specified by:
        `close` in interface `com.zfabrik.work.IWorkResource`

    - #### commit

          public void commit()

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      Commit work
      Specified by:
        `commit` in interface `com.zfabrik.work.IWorkResource`

    - #### rollback

          public void rollback()

      Description copied from interface: `com.zfabrik.work.IWorkResource`
      Rollback work
      Specified by:
        `rollback` in interface `com.zfabrik.work.IWorkResource`

    - #### getSVNRepository

          public com.zfabrik.svnaccess.ISvnRepository getSVNRepository()

    - #### getSvnRootUrl

          public java.lang.String getSvnRootUrl()

    - #### getBaseUrl

          public java.lang.String getBaseUrl()

    - #### getRepoRevision

          public long getRepoRevision()

    - #### getRepositoryUuid

          public java.lang.String getRepositoryUuid()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### svnLog

          public void svnLog​(java.lang.String repoPath,
                             long revStart,
                             long revEnd,
                             com.zfabrik.svnaccess.ISvnLogEntryHandler iSvnLogEntryHandler)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### svnInfo

          public com.zfabrik.svnaccess.SvnInfo svnInfo​(java.lang.String repoPath,
                                                       long targetRevision)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### svnCat

          public void svnCat​(java.lang.String repoPath,
                             long targetRevision,
                             com.zfabrik.svnaccess.IStreamHandler iStreamHandler)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### svnList

          public int svnList​(java.lang.String repoPath,
                             long targetRevision,
                             com.zfabrik.svnaccess.IDirEntryHandler iDirEntryHandler)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### svnExport

          public void svnExport​(java.lang.String repoPath,
                                long targetRevision,
                                java.io.File destFolder)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`